package com.ruoyi.sy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 就业岗位对象 sy_vocational_post
 * 
 * @author mingxue
 * @date 2022-03-30
 */
public class SyVocationalPost extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 岗位名称 */
    @Excel(name = "岗位名称")
    private String name;
    /** 职业编码 */
    @Excel(name = "职业编码")
    private String code;

    /** 最高薪资（元/月） */
    @Excel(name = "最高薪资", readConverterExp = "元=/月")
    private String salaryMax;

    /** 最低薪资（元/月） */
    @Excel(name = "最低薪资", readConverterExp = "元=/月")
    private String salaryMin;

    /** 薪资单位 */
    @Excel(name = "薪资单位")
    private String salaryUnit;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSalaryMax(String salaryMax) 
    {
        this.salaryMax = salaryMax;
    }

    public String getSalaryMax() 
    {
        return salaryMax;
    }
    public void setSalaryMin(String salaryMin) 
    {
        this.salaryMin = salaryMin;
    }

    public String getSalaryMin() 
    {
        return salaryMin;
    }
    public void setSalaryUnit(String salaryUnit) 
    {
        this.salaryUnit = salaryUnit;
    }

    public String getSalaryUnit() 
    {
        return salaryUnit;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("salaryMax", getSalaryMax())
            .append("salaryMin", getSalaryMin())
            .append("salaryUnit", getSalaryUnit())
            .append("createTime", getCreateTime())
            .toString();
    }
}
